.swipe-wrapper {
  width: 100%;
  height: 230px;
  position: relative;
  overflow: hidden;
}

.swipe-wrapper .swipe-transition {
  -webkit-transition: all 0.5s ease-in-out;
  -moz-transition: all 0.5s ease-in-out;
  -o-transition: all 0.5s ease-in-out;
  -ms-transition: all 0.5s ease-in-out;
  transition: all 0.5s ease-in-out;
}

.swipe-list {
  width: 250px;
  height: 180px;
  margin: 0 auto;
  position: relative;
  -webkit-transform-style: preserve-3d;
  -moz-transform-style: preserve-3d;
  -o-transform-style: preserve-3d;
  -ms-transform-style: preserve-3d;
  transform-style: preserve-3d;
  -webkit-perspective: 1000px;
  -moz-perspective: 1000px;
  -o-perspective: 1000px;
  -ms-perspective: 1000px;
  perspective: 1000px;
}

.swipe-list a {
  width: 100%;
  height: 180px;
  display: block;
  position: absolute;
  left: 0;
  top: 0;
}

.swipe-wrapper .current {
  display: block;
  -webkit-transform: translateX(0px) translateZ(0px) rotateY(0deg);
  -moz-transform: translateX(0px) translateZ(0px) rotateY(0deg);
  -o-transform: translateX(0px) translateZ(0px) rotateY(0deg);
  -ms-transform: translateX(0px) translateZ(0px) rotateY(0deg);
  transform: translateX(0px) translateZ(0px) rotateY(0deg);
  opacity: 1;
  visibility': visible;
}

.swipe-list a img {
  display: block;
  padding:0;
  width: 100%;
  height: calc(100% - 10px);
  background: #fff;
}

.swipe-indicator {
  position: relative;
  z-index: 5;
  margin: 0 auto;
text-align: center;
}

.swipe-indicator li {
  cursor: pointer;
  display: inline-block;
  list-style: none;
  width: 6px;
  height: 6px;
  border-radius: 50%;
  margin-right: 5px;
  background: rgba(255, 255, 255, 0.30);
  border: 1px solid rgba(0, 0, 0, 0.20);
}

.swipe-action a {
  width: 58px;
  transition: opacity .5s;
  position: absolute;
  z-index: 1000;
  top: 14px;
  height: calc(180px * 0.8);
  text-align: center;
  opacity: 0;
}

.swipe-action a.prev {
  left: 0;
}

.swipe-action a.next {
  right: 0;
}

.swipe-action span {
  float: left;
  width: 100%;
  height: 100%;
  color: rgb(0, 0, 0);
  transform: translateY(calc(50% - 12px));
}

.swipe-action a:hover {
  opacity: 1;
  background: rgba(238, 238, 238, 0.31);
}